Edushade Docs
Lessons

U: Update Lesson Progress

PUT
/user/learning/lessons/{lesson_id}/progress
AuthorizationBearer <token>

In: header

Path Parameters

lesson_idstring

The lesson id identifier

Formatuuid
last_positioninteger
Default450
progress_percentinteger
Default75
statusstring
Default"published"
time_spentinteger
Default600

Response Body

curl -X PUT "https://edushade.com/api/v1/user/learning/lessons/497f6eca-6276-4993-bfeb-53cbbbba6f08/progress" \
  -H "Content-Type: application/json" \
  -d '{
    "last_position": 450,
    "progress_percent": 75,
    "status": "published",
    "time_spent": 600
  }'
{}
Empty
Empty
Empty